import request from '@/utils/request'
/********************************************模块接口*********************************************/
//获取接口list编码
export function getBlockPage(params) {
    return request({
        url: '/panoramic/block/page',
        method: 'get',
        params
    })
}
//通用list查询
export function getResultList(params) {
    return request({
        url: '/panoramic/common/list',
        method: 'get',
        params
    })
}
//公共请求方法
export function getRequestResult(params) {
    let returnData = new Promise((resolve, reject) => {
        getResultList(params)
            .then((res) => {
                if (res.code == 1) resolve(res.result)
            })
            .catch((err) => { })
    })
    return returnData
}
//工程结构树
export function getListWithRange(params) {
    return request({
        url: '/tofly-sxgk/structure/listWithRange',
        method: 'get',
        params
    })
}
//带范围和施工状态的工程结构树
export function getPbsListWithRange(params) {
    return request({
        url: '/tofly-sxgk/structure/structuredetailList',
        method: 'get',
        params
    })
}
//字典查询
export function getByKeys(params) {
    return request({
        url: '/base/code/getByKeys',
        method: 'get',
        params
    })
}
// 获取用户信息
export function getUserList(params) {
    return request({
        url: '/base/user/pageNew',
        method: 'get',
        params
    })
}

//获取全部项目信息
export function getEpcProjectList(params) {
    return request({
        url: '/tofly-sxgk/epc/epcProjectList',
        method: 'get',
        params
    })
}

//查询分公司项目信息
export function findByCode(params) {
    return request({
        url: `/tofly-sxgk/areacompany/findByCode`,
        method: 'get',
        params
    })
}

/********************************************智慧工地*********************************************/
//获取智慧工地摄像头
export function getZhgdCameraData(params) {
    return request({
        url: '/tofly-sxgk/zhgd/zhgdCamaraData',
        method: 'get',
        params
    })
}
//获取智慧工地监控设备
export function getZhgdEquipmentData(params) {
    return request({
        url: '/tofly-sxgk/zhgd/zhgdEquipmentData',
        method: 'get',
        params
    })
}
//获取智慧工地GPS设备
export function getZhgdGPSData(params) {
    return request({
        url: '/tofly-sxgk/zhgd/zhgdGPSData',
        method: 'get',
        params
    })
}
//获取智慧工地安全帽
export function getZhgdHelmetData(params) {
    return request({
        url: '/tofly-sxgk/zhgd/zhgdHelmetData',
        method: 'get',
        params
    })
}
/*************************************************************公司级模块接口*************************************************************/
//总公司按月份收入支出统计(最近6个月)
export function getEpcMonthCountData(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcMonthCountData',
        method: 'get',
        params
    })
}

//总公司首页数据接口
export function getParentCompanyData(params) {
    return request({
        url: '/tofly-sxgk/epc/getParentCompanyData',
        method: 'get',
        params
    })
}
//分公司首页数据接口
export function getCompanyData(params) {
    return request({
        url: '/tofly-sxgk/epc/getCompanyData',
        method: 'get',
        params
    })
}


/*************************************************************项目级模块接口*************************************************************/
/********************************************工程全景模块接口*********************************************/
//根据项目编码获取项目基本信息-项目概况
export function getEpcProjectInfo(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcProjectInfo',
        method: 'get',
        params
    })
}
//获取参建单位
export function getEpcParticipant(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcParticipant',
        method: 'get',
        params
    })
}
// 获取工地施工状态
export function getEpcBuilding(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcBuilding',
        method: 'get',
        params
    })
}
//项目级周报统计接口
export function getWeekCountData(params) {
    return request({
        url: '/tofly-sxgk/epc/getWeekCountData',
        method: 'get',
        params
    })
}
/********************************************进度统计模块接口*********************************************/
//进度统计
export function getStaticticalInfo(params) {
    return request({
        url: '/tofly-sxgk/jdCount/statictical',
        method: 'get',
        params
    })
}
/********************************************质量统计模块接口*********************************************/

// 检验批/功能性试验比例图
export function getEpcCheckScaleData(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcCheckScaleData',
        method: 'get',
        params
    })
}
// 层级验评统计
export function getEpcProjectLevelList(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcProjectLevelData',
        method: 'get',
        params
    })
}
// 检验批验收趋势
export function getEpcQbsBychecktimeData(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcQbsBychecktimeData',
        method: 'get',
        params
    })
}
//质量验评记录数据
export function getEpcQbsDetailPage(params) {
    return request({
        url: '/tofly-sxgk/epc/getEpcQbsDetailPage',
        method: 'get',
        params
    })
}
/********************************************安全统计模块接口*********************************************/
// 近7天隐患上报和隐患整改数量统计
export function getDangerCheckSevenDayData(params) {
    return request({
        url: '/tofly-sxgk/epc/getDangerCheckSevenDayData',
        method: 'get',
        params
    })
}
//安全统计接口
export function getSafetyCountData(params) {
    return request({
        url: '/tofly-sxgk/epc/safetyCountData',
        method: 'get',
        params
    })
}
//安全巡查次数统计接口
export function getSafetyPatrolCountData(params) {
    return request({
        url: '/tofly-sxgk/epc/safetyPatrolCountData',
        method: 'get',
        params
    })
}
//隐患统计接口
export function getDangerCheckCountData(params) {
    return request({
        url: '/tofly-sxgk/epc/getDangerCheckCountData',
        method: 'get',
        params
    })
}
/********************************************投资统计模块接口*********************************************/
//结算数据获取
export function getCostData(params) {
    return request({
        url: '/tofly-sxgk/epcjstzgldetail/getCostData',
        method: 'get',
        params
    })
}
//建设管理投资详情接口
export function getEpcjstzgldetailList(params) {
    return request({
        url: '/tofly-sxgk/epcjstzgldetail/list',
        method: 'get',
        params
    })
}
//建设管理投资详情月度数据接口
export function getEpcjsyddetailList(params) {
    return request({
        url: '/tofly-sxgk/epcjsyddetail/list',
        method: 'get',
        params
    })
}
/********************************************智慧预警模块接口*********************************************/
//预警信息管理（列表查询）
export function getWarnInfoList(params) {
    return request({
        url: '/tofly-sxgk/warningInfo/list',
        method: 'get',
        params
    })
}
//根据ID获取预警指标管理对象
export function getWarnIndexObject(params) {
    return request({
        url: `/tofly-sxgk/warnIndexManage/getWarnIndexManageById/${params.id}`,
        method: 'get',
        params: {}
    })
}
//根据ID获取预警信息管理对象
export function getWarningInfoById(params) {
    return request({
        url: `/tofly-sxgk/warningInfo/getWarningInfoById`,
        method: 'get',
        params
    })
}
//获取预警信息原始数据
export function getDetailData(params) {
    return request({
        url: `/tofly-sxgk/warningInfo/getDetailData`,
        method: 'get',
        params
    })
}

//获取施工图片
export function getImgFiles(params) {
    return request({
        url: `/tofly-sxgk/imgManageFiles/page`,
        method: 'get',
        params
    })
}